<?php
/***************************************************************************
 * (c)2002 Boesch IT-Consulting (info@boesch-it.de)
 ***************************************************************************/
// begin user editable part
// complete path to directory containing simpnews scripts (without trailing slash)
$path_simpnews = getenv("DOCUMENT_ROOT")."/simpnews";
// end user editable part
//
require($path_simpnews.'/config.php');
require($path_simpnews.'/functions.php');
if(!isset($category))
	$category=0;
if(!isset($lang) || !$lang)
	$lang=$default_lang;
include($path_simpnews.'/language/lang_'.$lang.'.php');
require_once($path_simpnews.'/includes/get_settings.inc');
$crlf="\n";
$appletversion="1.8";
if(isset($download))
{
	$crlf="\r\n";
	header('Content-Type: application/octetstream');
	header('Content-Disposition: filename="newsmsgtyper_'.$lang.'.txt"');
}
if(!isset($limitdays))
	$limitdays=$newstyper2maxdays;
if(!isset($limitentries))
	$limitentries=$newstyper2maxentries;
$sql = "select * from ".$tableprefix."_data ";
$firstarg=1;
if($separatebylang==1)
{
	$firstarg=0;
	$sql.="where lang='$lang' ";
}
if($category>=0)
{
	if($firstarg==1)
	{
		$firstarg=0;
		$sql.="where category=$category ";
	}
	else
		$sql.= "and category=$category ";
}
if($limitdays>=0)
{
	$actdate = date("Y-m-d H:i:s");
	if($firstarg==1)
	{
		$firstarg=0;
		$sql.= "where date >= date_sub('$actdate', INTERVAL $limitdays DAY) ";
	}
	else
		$sql.= "and date >= date_sub('$actdate', INTERVAL $limitdays DAY) ";
}
$sql.= "order by date desc";
if($limitentries > 0)
	$sql.=" limit $limitentries";
if(!$result = mysql_query($sql, $db))
	die();
echo $appletversion.$crlf;
echo md5($snpurl.$snprogname.$copyright_note).$crlf;
if(mysql_num_rows($result)>0)
{
	while($myrow=mysql_fetch_array($result))
	{
		if($newstyper2displaydate==1)
		{
			list($mydate,$mytime)=explode(" ",$myrow["date"]);
			list($year, $month, $day) = explode("-", $mydate);
			list($hour, $min, $sec) = explode(":",$mytime);
			if($month>0)
			{
				$displaytime=mktime($hour,$min,$sec,$month,$day,$year);
				$displaytime=$displaytime-($servertimezone*60*60);
				$displaytime=$displaytime+($displaytimezone*60*60);
				$displaydate=date($newstyper2dateformat,$displaytime);
				echo $displaydate.":$crlf";
			}
		}
		if($myrow["heading"])
		{
			$displayheading=undo_htmlentities(stripslashes($myrow["heading"]));
			$displayheading.=$crlf;
			echo $displayheading;
		}
		$displaytext = undo_htmlspecialchars(stripslashes($myrow["text"]));
		$displaytext = str_replace("\r","",$displaytext);
		$displaytext = undo_htmlentities($displaytext);
		$displaytext = str_replace("<BR>",$crlf,$displaytext);
		$displaytext = strip_tags($displaytext);
		if(($newstyper2maxchars>0) && (strlen($displaytext)>$newstyper2maxchars))
		{
			$text = explode(" ", $displaytext);
			$i = 0;
			$length = 0;
			$displaytext="";
			while(($i<count($text)) && ($length<$newstyper2maxchars))
			{
				$length+=strlen($text[$i]);
				if($length<=$newstyper2maxchars)
				{
					$displaytext.=$text[$i]." ";
					$i++;
				}
			}
			if($i<count($text))
				$displaytext.="...";
		}
		echo $displaytext.$crlf;
		if($newstyper2newscreen==1)
			echo "<newpage>$crlf";
		if($newstyper2waitentry==1)
			echo "<more>$crlf";
	}
}
else
{
		echo "$l_nonewnews$crlf<PAUSE 1000>$crlf";
}
?>
