<?php
/***************************************************************************
 * (c)2002 Boesch IT-Consulting (info@boesch-it.de)
 ***************************************************************************/
// begin user editable part
// complete path to directory containing simpnews scripts (without trailing slash)
$path_simpnews = getenv("DOCUMENT_ROOT")."/simpnews";
// end user editable part
//
require($path_simpnews.'/config.php');
require($path_simpnews.'/functions.php');
if(!isset($category))
	$category=0;
if(!isset($lang) || !$lang)
	$lang=$default_lang;
include($path_simpnews.'/language/lang_'.$lang.'.php');
include($path_simpnews.'/includes/get_settings.inc');
$appletversion="1.5";
$crlf="\r\n";
if(isset($download))
{
	header('Content-Type: application/octetstream');
	header('Content-Disposition: filename="starscroller_'.$lang.'.txt"');
}
if(!isset($limitdays))
	$limitdays=$ss_maxdays;
if(!isset($limitentries))
	$limitentries=$ss_maxentries;
$sql = "select * from ".$tableprefix."_data ";
$firstarg=true;
if($separatebylang==1)
{
	if($firstarg)
	{
		$firstarg=false;
		$sql.="where lang='$lang' ";
	}
	else
		$sql.="and lang='$lang' ";
}
if($category>=0)
{
	if($firstarg)
	{
		$firstarg=false;
		$sql.="where category=$category ";
	}
	else
		$sql.= "and category=$category ";
}
if($limitdays>=0)
{
	$actdate = date("Y-m-d H:i:s");
	if($firstarg)
	{
		$firstarg=false;
		$sql.= "where date >= date_sub('$actdate', INTERVAL $limitdays DAY) ";
	}
	else
		$sql.= "and date >= date_sub('$actdate', INTERVAL $limitdays DAY) ";
}
$sql.= "order by date desc";
if($limitentries > 0)
	$sql.=" limit $limitentries";
if(!$result = mysql_query($sql, $db))
	die();
echo $appletversion.$crlf;
echo md5($snpurl.$snprogname.$copyright_note).$crlf;
$basedir="LR";
switch($ss_dir)
{
	case 0:
		$basedir="BT";
		break;
	case 1:
		$basedir="TB";
		break;
	case 2:
		$basedir="LR";
		break;
	case 3:
		$basedir="RL";
		break;
	case 4:
		$basedir="FT";
		break;
}
echo "BC|$ss_bgcolor|CL|$ss_fontcolor|FS|$ss_fontsize|FN|$ss_font|FW|$ss_fontstyle";
if($ss_stars>0)
	echo "|SN";
else
	echo "|SO";
switch($ss_stars)
{
	case 1:
		echo "|SU";
		break;
	case 2:
		echo "|SD";
		break;
	case 3:
		echo "|SL";
		break;
	case 4:
		echo "|SR";
		break;
	case 5:
		echo "|SO";
		break;
}
echo "|S".$ss_speed;
if($ss_shadow==1)
	echo "|SHON";
else
	echo "|SHOFF";
if(mysql_num_rows($result)>0)
{
	while($myrow=mysql_fetch_array($result))
	{
		$un_displayed=false;
		$firstpart=true;
		if($ss_nolinking==0)
		{
			echo "|UR|";
			if($myrow["tickerurl"])
				echo $myrow["tickerurl"];
			else
				echo "http://".$simpnewssitename.$url_simpnews."/singlenews.php?newsnr=".$myrow["newsnr"]."&lang=$lang&layout=$layout&category=$category";
		}
		else
			$un_displayed=true;
		list($mydate,$mytime)=explode(" ",$myrow["date"]);
		list($year, $month, $day) = explode("-", $mydate);
		list($hour, $min, $sec) = explode(":",$mytime);
		if($month>0)
		{
			echo "|$basedir|";
			$displaytime=mktime($hour,$min,$sec,$month,$day,$year);
			$displaytime=$displaytime-($servertimezone*60*60);
			$displaytime=$displaytime+($displaytimezone*60*60);
			$displaydate=date($newsscrollerdateformat,$displaytime);
			echo $displaydate.":";
			if(!$un_displayed)
			{
				echo "|UN";
				$un_displayed=true;
			}
			echo "|$basedir|";
			$firstpart=false;
		}
		if($myrow["heading"])
		{
			if(!$un_displayed)
			{
				echo "|UN|";
				$un_displayed=true;
			}
			if($firstpart)
			{
				echo "|$basedir|";
				$firstpart=false;
			}
			$displayheading=undo_htmlentities(stripslashes($myrow["heading"]));
			echo $displayheading."|$basedir|";
		}
		if(!$un_displayed)
		{
			echo "|UN|";
			$un_displayed=true;
		}
		if($firstpart)
		{
			echo "|$basedir|";
			$firstpart=false;
		}
		$displaytext = undo_htmlspecialchars(stripslashes($myrow["text"]));
		$displaytext = str_replace("\r","",$displaytext);
		$displaytext = str_replace("\n","",$displaytext);
		$displaytext = undo_htmlentities($displaytext);
		$displaytext = str_replace("<BR>","|$basedir|",$displaytext);
		$displaytext = strip_tags($displaytext);
		echo $displaytext;
	}
}
else
{
		if($newsscrollernolinking==0)
		{
			echo "|UR|";
			echo "http://".$simpnewssitename.$url_simpnews."/news.php?lang=$lang&layout=$layout&category=$category";
			echo "|UN|";
		}
		echo "$basedir|";
		echo "$l_nonewnews";
}
?>
